package org.objectstyle.art;

import org.objectstyle.cayenne.CayenneDataObject;
import org.objectstyle.cayenne.DataObjectUtils;
import org.objectstyle.cayenne.xml.XMLEncoder;

/**
 * @author cris.daniluk@gmail.com
 */
public class DataObjectSupport extends CayenneDataObject {

    /**
     * Add the pk.
     */
    public void encodeAsXML(XMLEncoder encoder) {
        super.encodeAsXML(encoder);
        encoder.encodeProperty("pk", String.valueOf(DataObjectUtils.intPKForObject(this)));
    }
}
