package org.objectstyle.dataService.servlet;

import java.util.HashMap;
import java.util.Map;

import org.objectstyle.art.Artist;
import org.objectstyle.art.Gallery;
import org.objectstyle.art.Painting;

/**
 * @author cris.daniluk@gmail.com
 */
public class SampleDataService extends AbstractDataServiceServlet {

    protected Map getObjectMap() {
        
        Map objectMap = new HashMap();
        objectMap.put("artist", Artist.class);
        objectMap.put("painting", Painting.class);
        objectMap.put("gallery", Gallery.class);
        return objectMap;
    }
    
    /**
     * Allow arbitrary expressions
     */
    protected Map getExpressionMap() {
        return null;
    }

}
